Skip to main content
GET
Get Documentation Chunk From Knowledge Base

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

documentation_id
string
required

The id of a document from the knowledge base. This is returned on document addition.

Example:

"21m00Tcm4TlvDq8ikWAM"

chunk_id
string
required

The id of a document RAG chunk from the knowledge base.

Example:

1

Query Parameters

embedding_model
enum<string> | null
default:e5_mistral_7b_instruct

The embedding model used to retrieve the chunk.

Available options:
e5_mistral_7b_instruct,
multilingual_e5_large_instruct
Example:

"e5_mistral_7b_instruct"

Response

Successful Response

id
string
required
name
string
required
content
string
required